com.independentsoft.exchange

## Class RecipientTrackingEvent

- java.lang.Object
- - com.independentsoft.exchange.RecipientTrackingEvent

-     public class RecipientTrackingEvent
      extends java.lang.Object

  Contains information for a single event for a recipient.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBccRecipient()` Gets a recipient to receive a blind carbon copy (Bcc) of an e-mail message.
    `java.util.Date` | `getDate()` Gets the date and time at which the event occurred.
    `MessageTrackingDeliveryStatus` | `getDeliveryStatus()` Gets delivery status.
    `java.util.List<java.lang.String>` | `getEventData()` Gets data that is associated with the processing step for the event.
    `MessageTrackingEventDescription` | `getEventDescription()` Gets event description.
    `boolean` | `getHiddenRecipient()` Gets that the recipient was added by an organization policy that should be hidden from unprivileged users.
    `java.lang.String` | `getInternalId()` Gets an integer value for the event identification.
    `Mailbox` | `getRecipient()` Gets the recipient for whom the event occurred.
    `java.lang.String` | `getServer()` Gets the physical server where the event occurred.
    `java.lang.String` | `getUniquePathId()` Gets a string that is different for each path in a tracking report.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDate

          public java.util.Date getDate()

      Gets the date and time at which the event occurred.
      Returns:
        the date

    - #### getRecipient

          public Mailbox getRecipient()

      Gets the recipient for whom the event occurred.
      Returns:
        the recipient

    - #### getDeliveryStatus

          public MessageTrackingDeliveryStatus getDeliveryStatus()

      Gets delivery status.
      Returns:
        the delivery status

    - #### getEventDescription

          public MessageTrackingEventDescription getEventDescription()

      Gets event description.
      Returns:
        the event description

    - #### getEventData

          public java.util.List<java.lang.String> getEventData()

      Gets data that is associated with the processing step for the event.
      Returns:
        the event data

    - #### getServer

          public java.lang.String getServer()

      Gets the physical server where the event occurred.
      Returns:
        the server

    - #### getInternalId

          public java.lang.String getInternalId()

      Gets an integer value for the event identification.
      Returns:
        the internal id

    - #### getBccRecipient

          public boolean getBccRecipient()

      Gets a recipient to receive a blind carbon copy (Bcc) of an e-mail message.
      Returns:
        the bcc recipient

    - #### getHiddenRecipient

          public boolean getHiddenRecipient()

      Gets that the recipient was added by an organization policy that should be hidden from unprivileged users.
      Returns:
        the hidden recipient

    - #### getUniquePathId

          public java.lang.String getUniquePathId()

      Gets a string that is different for each path in a tracking report.
      Returns:
        the unique path id